Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	NASM (Netwide Assembler) is an 80x86 assembler.
Name:		nasm
Version:	2.08.01
Release:	1
Provides:	nasm
License:	GNU/GPL
Url:		http://nasm.sourceforge.net/
Group:		Development/Other
Source0:	nasm-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires(pre):	/sbin/install-info

BuildRequires: texinfo

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
NASM is an 80x86 assembler designed for portability and modularity.
It supports a range of object file formats including Linux
a.out and ELF, COFF, Microsoft 16-bit OBJ and Win32.
It will also output plain binary files. Its syntax is designed to
be simple and easy to understand, similar to Intel's but less complex.
It supports Pentium, P6, MMX, 3DNow! and SSE opcodes, and has
macro capability. It includes a disassembler as well.

%post
ldconfig
/sbin/install-info %_infodir/%{name}.info.gz %_infodir/dir

%preun
if [ "$1" = 0 ]; then
/sbin/install-info --del %_infodir/%{name}.info.gz %_infodir/dir
fi

%postun
ldconfig

%prep
%setup -qn nasm-%{version}

%build
./configure \
--prefix=/usr \
--mandir=%_mandir \
--disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_mandir/man1
mkdir -p $RPM_BUILD_ROOT%_infodir

make INSTALLROOT="$RPM_BUILD_ROOT" \
        docdir=%_defaultdocdir/nasm-%{version} \
        infodir=%{_infodir} \
        install_everything

find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_bindir}/ldrdf
%{_bindir}/nasm
%{_bindir}/ndisasm
%{_bindir}/rdf2bin
%{_bindir}/rdf2com
%{_bindir}/rdf2ihx
%{_bindir}/rdf2ith
%{_bindir}/rdf2srec
%{_bindir}/rdfdump
%{_bindir}/rdflib
%{_bindir}/rdx
%{_docdir}/nasm-2.08.01
%{_infodir}/nasm.info-1.gz
%{_infodir}/nasm.info-2.gz
%{_infodir}/nasm.info-3.gz
%{_infodir}/nasm.info.gz
%{_mandir}/man1/ldrdf.1.gz
%{_mandir}/man1/nasm.1.gz
%{_mandir}/man1/ndisasm.1.gz
%{_mandir}/man1/rdf2bin.1.gz
%{_mandir}/man1/rdf2com.1.gz
%{_mandir}/man1/rdf2ihx.1.gz
%{_mandir}/man1/rdf2ith.1.gz
%{_mandir}/man1/rdf2srec.1.gz
%{_mandir}/man1/rdfdump.1.gz
%{_mandir}/man1/rdflib.1.gz
%{_mandir}/man1/rdx.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Mar 27 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.08.01-1
- Version Update
* Mon Oct 27 2008 Christian Wasem <wasem@ccux-linux.de> 2.05-1
- Version Update
* Fri Sep 26 2008 Christian Wasem <wasem@ccux-linux.de> 2.04-1
- Version Update
* Sat Mar 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.02-1
- Version Update
* Thu Nov 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.00-1
- Version Update
* Fri Nov 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.99.06-1
- Version Update
* Wed Oct 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.99.05-1
- Version Update
* Tue Oct 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.99.04-1
- Version Update
* Wed Sep 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.99.02-1
- Version Update
* Thu Jun 09 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.98.38-1
- Version Update to 0.98.39 / rebuilt specfile
* Sat Sep 25 2004 Christian Metzen <metzench@ccux-linux.de> 0.98.38-1
- Initial Release
